Subject: bug#33787: Policy Change: Use of /etc/gnu.conf files to configure default system behavior

From: Paul Eggert <[email-masked]>
Date: Sun, 23 Dec 2018 17:46:49 -0800

L A Walsh wrote:
> Features where their non inclusion was unable to be met due to
> pre-existing usage and where using or allowing behavior change based
> on ENV vars was disallowed due to new gnu policies to minimize usage
> of ENV vars.  At the time config files were mentioned as a possible
> solution but at the time I was told there would be no more config files.
> 
> Now I'm seeing references to /etc/xattr.conf regarding which attributes
> should be copied and which not when utils like 'cp' or 'tar' preserve
> or restore xattrs.  If you don't allow a config, how will you skip
> attributes that shouldn't be copied on a given system vs. those that should?
> 
> As for random features being added, paul, who was it that added a random
> range feature incompatible with what was original suggested and going off
> in a different direction.  You created an incompatible feature to the one that 
> was originally proposed... so this is to allow a workaround for
> for malicious features rushed to build to disallow alternate sets. It's
> not about a new random one, but one that you specifically found an
> alternate and incompatible algorithm for.  It certainly is no more of
> a random feature than the collection of new features that has gone
> into random coreutils programs in the past year or two -- many of which,
> like with 'ls' were strongly complained about -- and ignored.
> 
> Those people who don't like the new, unwelcomed 'features' forced upon them 
> would have a choice.

I'm afraid I don't know specifically what the above is talking about. All I'm 
getting from it is that you think coreutils should have configuration files 
(system-wide? user-specific? directory-specific? it's not clear) because some 
kernel features have configuration files. But applications and kernels are 
different animals, and the existence of a configuration method for the kernel 
does not necessarily imply that the same configuration method is a good idea for 
applications.

> Similarly with 'find'

"find" is not part of coreutils, and discussion of it should be moved to
a separate bug report, which you can create by emailing [email-masked].